<template>
  <div class="activity-list-item" @click="openActivity">
    <img src="../assets/img/activity1.jpg">
    <label>{{activity.name}}</label>
  </div>
</template>

<script>
import DonationService from '@/services/DonationService';

export default {
  name: "ActivityListItem",
  props: {
    modelValue: Object,
    activityId: String
  },
  data() {
    return {
      activity: {
        name: 'Donation name',
      },
    }
  },
  methods: {
    async getDonationDetail(){
      try{
        let response = await DonationService.getDonationById(this.$route.params.id)
        console.log(response)
        if(response.status == 200){
          this.activity = response.data
        }
        else{          
          alert(response.statusText)
        }        
      }
      catch(err){        
        console.log(err)
      }
      finally{
        this.$emit('update:modelValue', this.activity)
      }
    },
    openActivity(){
      //this.$router.push({ name: 'Activity', params: { id: this.activity.id }})
    }
  },
  mounted() {
    //if(this.$store.getters.isAuthenticated)
      this.getDonationDetail()
  },
}
</script>

<style scoped>
.activity-list-item{
  width: 100%;
  height: fit-content;
  display: flex;
  flex-direction: row;
  align-items: center;
  background-color: #f0f0f0;
  border: 1px solid #ddd;
  border-radius: 4px;
  overflow: hidden;
}

.activity-list-item > img {
  height: 60px;
  width: 160px;
  object-fit: fill;
}

.activity-list-item > label {
  margin: 0px 20px;
}
</style>